Bug 3009 - Change items.content field so it prints due date by default
Summary: Change items.content field so it prints due date by default
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-05 03:27 UTC by Chris Cormack
Modified: 2012-10-25 23:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.47 KB, patch)
2010-12-11 20:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signoff (1.54 KB, patch)
2011-02-08 15:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:05:20 UTC


---- Reported by bchurch@ptfs.com 2009-03-05 15:27:03 ----

By default the items.content field outputs the following information on overdue notices:

    * checkout date 
    * title
    * author
    * barcode 

Can the "checkout date" be changed to the "due date" since this is the date most important to the library and its patrons?



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:05 UTC  ---

This bug was previously known as _bug_ 3009 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3009

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was bchurch@ptfs.com.

Comment 1 Katrin Fischer 2010-12-11 20:47:55 UTC
Created attachment 2834 [details] [review]
proposed patch

I agree that the overdue notices should print the due date instead of the issue date.
Comment 2 Nicole C. Engard 2010-12-16 01:48:41 UTC
Overdue notices not use this type of line (not items.content)

<item>"<<biblio.title>>" by <<biblio.author>>, 
<<items.itemcallnumber>>, Barcode: <<items.barcode>></item>


Can we add a tag for due date here? It's not on the list of fields (as far as I can see.
Comment 3 Katrin Fischer 2010-12-22 22:22:50 UTC
Hi Nicole, 

you are right - I forgot to check the sample notices. 

I think there are 2 ways you can display item information in overdue notices at the moment:

<<items.content>>  - fields specified by command line option from overdues.pl
<items>...</items> - can display information about fines too

The default field if you use <<items.content>> without using the command line option to change it was issuedate

Not sure we should change the sample notices. - I can do for English, but not sure what to do with the translated files.

Have you tested if <<issues.date_due>> works when added to the odue notice?
Comment 4 Nicole C. Engard 2010-12-23 01:00:56 UTC
Actually, I'm finding that only overdue notices let you use the <item> </item> tags ... the other need <<items.content>>

I haven't tried putting the due date in yet (or maybe someone has and I missed it)
Comment 5 MJ Ray (software.coop) 2011-01-11 12:57:31 UTC
This bug is mentioned in:
Bug 3009 - Change items.content field so it	prints due date by default http://lists.koha-community.org/pipermail/koha-patches/2010-December/013236.html
Comment 6 Marcel de Rooy 2011-01-31 11:49:52 UTC
Tested and signed.
Comment 7 Katrin Fischer 2011-01-31 11:54:06 UTC
Thx :)
Comment 8 MJ Ray (software.coop) 2011-02-06 11:14:10 UTC
This bug is mentioned in:
Bug 3009 - Change items.content field so it prints due date by default http://lists.koha-community.org/pipermail/koha-patches/2011-January/013722.html
Comment 9 Marcel de Rooy 2011-02-07 13:28:50 UTC
Patch is valid for current master.
Setting version to master, platform to All.
Has already been signed, but still pending...
Comment 10 Katrin Fischer 2011-02-08 08:22:39 UTC
Can you please resend the signed-off patch or attach the patch file to this bug?
Thx!
Comment 11 Marcel de Rooy 2011-02-08 15:42:14 UTC
Created attachment 3094 [details] [review]
Signoff
Comment 12 Chris Cormack 2011-02-09 02:27:11 UTC
Pushed please test